Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoSubtreeXOver< FType, Node > Class Template Reference
[ParseTree]

eoSubtreeXOver --> subtree xover More...

`#include <gp/eoParseTreeOp.h>`

Inheritance diagram for eoSubtreeXOver< FType, Node >:

List of all members.

## Public Types
typedef eoParseTree< FType, Node > | EoType
## Public Member Functions
| eoSubtreeXOver (unsigned _max_length)
| Constructor.
virtual std::string | className () const
| the ckassname
virtual | ~eoSubtreeXOver ()
| Dtor.
bool | operator() (EoType &_eo1, EoType &_eo2)
| Perform crossover on two individuals param _eo1 The first parent individual param _eo2 The second parent individual.
## Private Attributes
unsigned | max_length

## Detailed Description

### template<class FType, class Node>
class eoSubtreeXOver< FType, Node >

eoSubtreeXOver --> subtree xover

Definition at line 42 of file eoParseTreeOp.h.

## Constructor & Destructor Documentation

template<class FType, class Node>
eoSubtreeXOver< FType, Node >::eoSubtreeXOver | ( | unsigned | _max_length | ) | `[inline]`

  | Constructor. Parameters:
  | _max_length | the maximum size of an individual
Definition at line 50 of file eoParseTreeOp.h.

The documentation for this class was generated from the following file:

- eoParseTreeOp.h